edu.wpi.first.networktables

## Class EntryNotification

- java.lang.Object
- - edu.wpi.first.networktables.EntryNotification

-     public final class EntryNotification
      extends java.lang.Object

  NetworkTables Entry notification.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `int` | `entry` Entry handle.
    `int` | `flags` Update flags.
    `int` | `listener` Listener that was triggered.
    `java.lang.String` | `name` Entry name.
    `NetworkTableValue` | `value` The new value.

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `EntryNotification(NetworkTableInstance inst, int listener, int entry, java.lang.String name, NetworkTableValue value, int flags)` Constructor.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `NetworkTableEntry` | `getEntry()` Get the entry as an object.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### listener

          public final int listener

      Listener that was triggered.

    - #### entry

          public final int entry

      Entry handle.

    - #### name

          public final java.lang.String name

      Entry name.

    - #### value

          public final NetworkTableValue value

      The new value.

    - #### flags

          public final int flags

      Update flags. For example, `EntryListenerFlags.kNew` if the key did not previously exist.

  - ### Constructor Detail

    - #### EntryNotification

          public EntryNotification(NetworkTableInstance inst,
                                   int listener,
                                   int entry,
                                   java.lang.String name,
                                   NetworkTableValue value,
                                   int flags)

      Constructor. This should generally only be used internally to NetworkTables.
      Parameters:
        `inst` - Instance
        `listener` - Listener that was triggered
        `entry` - Entry handle
        `name` - Entry name
        `value` - The new value
        `flags` - Update flags

  - ### Method Detail

    - #### getEntry

          public NetworkTableEntry getEntry()

      Get the entry as an object.
      Returns:
        NetworkTableEntry for this entry.